/*
 * CoordinateTypes.java
 *
 * Created on April 3, 2001, 4:18 PM
 */

package geotrans;

/**
 *
 * @author  amyc
 * @version 
 */
public class CoordinateTypes extends Object {

    // Variable declaration for projection list.
    // The list index is based on order. 
    // These variables must be syncronized with any changes in the list in engine.h.
    public final static int GEODETIC  = 0;        
    public final static int GEOREF    = 1;        
    public final static int GARS      = 2;        
    public final static int GEOCENTRIC = 3;       
    public final static int LOCCART   = 4;        
    public final static int MGRS      = 5;        
    public final static int USNG      = 6;        
    public final static int UTM       = 7;        
    public final static int UPS       = 8;        
    public final static int ALBERS    = 9;        
    public final static int AZIMUTHAL = 10;        
    public final static int BNG       = 11;        
    public final static int BONNE     = 12;       
    public final static int CASSINI   = 13;       
    public final static int CYLEQA    = 14;       
    public final static int ECKERT4   = 15;       
    public final static int ECKERT6   = 16;       
    public final static int EQDCYL    = 17;       
    public final static int GNOMONIC  = 18;       
    public final static int LAMBERT_1 = 19;       
    public final static int LAMBERT_2 = 20;       
    public final static int MERCATOR  = 21;       
    public final static int MILLER    = 22;       
    public final static int MOLLWEIDE = 23;       
    public final static int NEYS      = 24;       
    public final static int NZMG      = 25;       
    public final static int OMERC     = 26;       
    public final static int ORTHOGRAPHIC = 27;    
    public final static int POLARSTEREO = 28;     
    public final static int POLYCONIC = 29;       
    public final static int SINUSOIDAL = 30;      
    public final static int STEREOGRAPHIC = 31;    
    public final static int TRCYLEQA  = 32;      
    public final static int TRANMERC  = 33;       
    public final static int GRINTEN   = 34;       
    public final static int F16GRS   = 35;       
        
}
